html:not(.device-desktop) #framework7-root > .row > .col-66 {
  width: 100%;
}
html:not(.device-desktop) .flow-group-guest,
html:not(.device-desktop) .flow-group-customer {
  --f7-navbar-height: 56px;
}

@media (max-width: 575px) {
  /* #framework7-root .flow-group-customer {
    height: 100%;
  } */
  .aurora #onboarding-page {
    background-color: var(--f7-color-white);
  }
}

@media (min-width: 576px) {
  :root {
    --wandr-desktop-content-width: 420px;
    --wandr-desktop-content-width-guest: 340px;
  }

  .d-sm-none { display: none !important; }
  .d-sm-flex { display: flex !important; }
  .d-sm-block { display: block !important; }
  .d-sm-inline-block { display: inline-block !important; }
  .justify-content-sm-around { justify-content: space-around; }
  .justify-content-sm-between { justify-content: space-between; }
  .justify-content-sm-center { justify-content: center; }
  .justify-content-sm-end { justify-content: end; }
  .justify-content-sm-start { justify-content: start; }

  .popover.dropdown-default,
  .popover.use-chevron,
  .popover.dropdown-with-image-1,
  .popover.dropdown-with-image-2{
    max-width: var(--wandr-desktop-content-width);
    margin-left: auto;
    margin-right: auto;
    left: 0 !important;
    right: 0;
  }

  .sheet-modal.wandr-sheet-modal {
    border-radius: 10px;
    height: fit-content;
    inset: 0;
    margin: auto;
    width: var(--wandr-desktop-content-width);
  }
  
  .sheet-modal.wandr-sheet-modal.sheet-center {
    height: auto;
    margin: 0;
  }
  .sheet-modal.wandr-sheet-modal.sheet-center.modal-in {
    inset: 50% 0 auto 0;
    transform: translateY(-50%);
    top: 50%;
    bottom: initial;
    left: calc((100% - var(--wandr-desktop-content-width)) / 2);
  }
  .sheet-modal.wandr-sheet-modal.sheet-center.modal-out {
    inset: 50% 0 auto 0;
    top: 50%;
    bottom: initial;
    left: calc((100% - var(--wandr-desktop-content-width)) / 2);
  }
  
  #framework7-root .flow-group-customer .page > .page-content > .block {
    width: var(--wandr-desktop-content-width);
    margin-left: auto;
    margin-right: auto;
  }

  /* .flow-group-guest {
    background: url("../assets/img/garden-by-the-bay-singapore.jpg") no-repeat center;
  } */

  #framework7-root > .row > .col-66 #onboarding-page.page .onboarding,
  #framework7-root > .row > .col-66 .page > .page-content > .block {
    width: var(--wandr-desktop-content-width-guest);
    margin-left: auto;
    margin-right: auto;
    padding: 24px;
    border-radius: 16px;
    background-color: white;
    opacity: 0;
  }
  
  #framework7-root > .row > .col-66 .page {
    transition: .3s;
  }
  
  #framework7-root > .row > .col-66 .page.page-previous {
    opacity: 0;
  }

  #framework7-root > .row > .col-66 #onboarding-page.page.page-current .onboarding,
  #framework7-root > .row > .col-66 .page.page-current > .page-content > .block {
    opacity: 1;
  }

  .flow-group-guest .page {
    background-color: transparent;
  }
  
  #framework7-root > .row > .col-66 #onboarding-page.page .onboarding {
    background-color: var(--f7-color-white);
  }

  #framework7-root > .row.flow-group-guest > .col-33 .feature-highlight img {
    width: 100%;
  }

  .page:not(.page-current) .toolbar {
    display: none;
  }

  .toolbar.toolbar-with-button .toolbar-inner {
    left: 0;
    margin-left: auto;
    margin-right: auto;
    right: 0;
    /* width: calc( var(--wandr-desktop-content-width-guest) + ((var(--f7-toolbar-inner-padding-right) + var(--f7-safe-area-right)) 0 calc(var(--f7-toolbar-inner-padding-left) + var(--f7-safe-area-left)) * 2) ); */
  }
  .toolbar.toolbar-with-stacked-button .toolbar-inner .button,
  .toolbar.toolbar-with-button .toolbar-inner .button {
    width: var(--wandr-desktop-content-width);
    margin-left: auto;
    margin-right: auto;
  }

  /* T&C */
  #framework7-root > .row > .col-66 #reg-tnc.page > .page-content > .block{ padding: var(--f7-typography-padding-2x); }
  .device-desktop .main-tnc-container{
    height: calc(100% - var(--f7-toolbar-height) - var(--f7-typography-margin-5x) - (2 * var(--f7-typography-margin-3x)) - 24px);
  }
  /* END OF T&C */
}

@media (max-width: 767px) {
  .swiper-button-prev, .swiper-button-next {
    display: none;
  }
}

@media (min-width: 768px) {
  :root {
    /* --f7-appbar-app-offset: calc(196px); */
    /* --f7-page-bg-color: #DDF2F1; */
    --wandr-container-left-width: 350px;
    /* --wandr-desktop-navbar-height: 80px; */
    --wandr-desktop-navbar-max-width: 1200px;
    --wandr-desktop-content-width: 600px;
    --wandr-desktop-content-width-guest: 420px;
    --wandr-menu-account-offset: var(--f7-typography-margin);
    --wandr-desktop-popup-modal-height: 419px;
    --wandr-desktop-popup-modal-toolbar-button-height: 64px;
  }

  .d-md-none { display: none !important; }
  .d-md-flex { display: flex !important; }
  .d-md-block { display: block !important; }
  .d-md-inline-block { display: inline-block !important; }
  .justify-content-md-around { justify-content: space-around; }
  .justify-content-md-between { justify-content: space-between; }
  .justify-content-md-center { justify-content: center; }
  .justify-content-md-end { justify-content: end; }
  .justify-content-md-start { justify-content: start; }

  .device-desktop .flow-group-guest {
    --f7-navbar-height: 0;
  }

  .device-desktop .flow-group-customer {
    --f7-navbar-height: 80px;
    --f7-page-toolbar-bottom-offset: var(--f7-toolbar-height);
    --f7-toolbar-height: 188px;
  }

  .device-desktop #home-page {
    --f7-toolbar-height: 188px;
    --f7-appbar-app-offset: var(--f7-toolbar-height);
  }

  .device-desktop .toolbar-with-button ~ *,
  .device-desktop .ios .toolbar-with-button-ios ~ *,
  .device-desktop .md .toolbar-with-button-md ~ *,
  .device-desktop .aurora .toolbar-with-button-aurora ~ * {
    --f7-page-toolbar-bottom-offset: var(--f7-toolbar-height);
  }

  .device-desktop #framework7-root .flow-group-customer .page {
    height: calc(100% - var(--f7-navbar-height));
  }

  .device-desktop .view-desktop { display: block; }
  .device-desktop .view-mobile { display: none; }
  .device-desktop .navbar-desktop {
    align-items: center;
    display: flex;
    height: var(--f7-navbar-height);
    justify-content: space-between;
    position: relative;
    z-index: 5100;
  }

  .navbar-desktop .navbar a.link {
    --f7-navbar-link-height: var(--f7-navbar-height);
  }
  
  .navbar-desktop,
  .navbar-desktop .navbar-inner,
  .navbar-desktop .menu-item,
  .navbar-desktop .menu-dropdown,
  .navbar-desktop .menu-dropdown-content {
    background-color: var(--f7-theme-color);
    color: var(--f7-color-neutral-black-80);
  }
  .navbar-desktop .menu-dropdown {
    top: -10px;
    right: calc(var(--wandr-menu-account-offset) - var(--f7-menu-item-spacing));
    height: 0;
  }
  .navbar-desktop .menu-dropdown-right:before {
    display: none;
  }
  .navbar-desktop > .navbar {
    max-width: var(--wandr-desktop-navbar-max-width);
    margin: auto;
  }
  .navbar-desktop .menu-dropdown-content .menu-dropdown-divider{
    margin-left: var(--f7-typography-margin-3);
    margin-right: var(--f7-typography-margin-3);
    background-color: var(--f7-color-neutral-gray-30);
  }
  .navbar-desktop .menu-dropdown-content {
    box-shadow: var(--f7-elevation-5) !important;
    border-radius: var(--f7-menu-dropdown-border-radius, var(--f7-menu-item-border-radius));
    overflow: unset;
  }
  .navbar-desktop .menu-dropdown-content .menu-dropdown-item,
  .navbar-desktop .menu-dropdown-content a {
    padding: var(--f7-typography-padding-2) var(--f7-typography-padding-3);
    color: var(--f7-color-neutral-black-80);
  }
  .navbar-desktop .navbar .menu-item {
    --f7-menu-item-height: var(--f7-navbar-height);
  }
  .navbar-desktop .navbar .menu-inner {
    display: block;
  }
  .navbar-desktop .navbar .menu {
    margin-right: calc(-1 * var(--wandr-menu-account-offset));
  }
  .navbar-desktop .menu .menu-item-dropdown.active-state {
    background-color: var(--f7-theme-color);
  }
  .navbar-desktop .menu-item-content:after {
    display: none;
  }
  .navbar-desktop .menu-triangle {
    width: 100%;
    height: 24px;
    top: -24px;
    position: absolute;
    overflow: hidden;
  }
  .navbar-desktop .menu-triangle:after {
    box-shadow: var(--f7-elevation-5) !important;
    content: "";
    position: absolute;
    width: 24px;
    height: 24px;
    background: var(--f7-theme-color);
    transform: rotate(45deg);
    left: 0;
    bottom: -17px;
    right: 0;
    margin-left: auto;
    margin-right: 24px;
  }

  #framework7-root .flow-group-customer .toolbar.toolbar-bottom.view-desktop {
    background-color: var(--f7-theme-color);
    height: var(--f7-toolbar-height);
    position: absolute;
    z-index: 5001;
    transition: bottom 5s ease 0s;
    bottom: -1 * var(--f7-toolbar-height);
  }
  
  #framework7-root .flow-group-customer .toolbar.toolbar-bottom.view-desktop.show {
    bottom: 0px;
    /* z-index: 0; */
  }

  #framework7-root > .row.flow-group-guest {
    height: 100%;
    align-items: stretch;
  }

  #framework7-root > .row.flow-group-guest > .col-33 {
    width: var(--wandr-container-left-width);
    /* background-color: var(--f7-theme-color); */
    position: relative;
  }

  #framework7-root > .row.flow-group-guest > .col-33 .feature-highlight img {
    width: 74%;
  }

  #framework7-root > .row.flow-group-guest > .col-33 .feature-highlight {
    bottom: 0;
    height: fit-content;
    margin: auto;
    position: absolute;
    top: 0;
    text-align: center;
  }

  #framework7-root > .row.flow-group-guest > .col-33 .feature-highlight h1 {
    font-size: var(--wandr-font-size-level-1);
    font-weight: var(--wandr-font-weight-bold);
  }
  
  .device-desktop #framework7-root > .row > .col-66 {
    background-color: var(--f7-color-white);
    width: calc(100% - var(--wandr-container-left-width)); /* 100%; */
  }

  #page-footer.toolbar.toolbar-bottom.view-desktop .toolbar-inner {
    --f7-toolbar-text-color: var(--f7-color-white);
    color: var(--f7-color-white);
  }

  #page-footer.toolbar.toolbar-bottom.view-desktop .toolbar-inner > div {
    max-width: var(--wandr-desktop-navbar-max-width);
    margin: auto;
  }

  .toolbar-mobile-menu.view-mobile .toolbar-inner {
    max-width: var(--wandr-desktop-content-width);
    right: 0;
    margin: auto;
    padding: 0;
  }

  .dialog{
    --f7-dialog-width : var(--wandr-desktop-content-width);
    --f7-dialog-border-radius: 10px;
    max-height: var(--wandr-desktop-popup-modal-height);
  }
  .dialog .dialog-inner{
    max-height: calc(var(--wandr-desktop-popup-modal-height) - var(--wandr-desktop-popup-modal-toolbar-button-height) - (2 * var(--f7-dialog-inner-padding)));
  }
  .dialog .dialog-inner .dialog-text{ max-height: inherit; }
  .dialog .dialog-text::-webkit-scrollbar{ display: none; }
  .list.form-group.customer-alias .item-input-with-error-message .item-content{ margin-bottom: var(--f7-typography-margin-3x); }
}

@media (min-width: 992px) {
  :root{
    --wandr-container-left-width: 420px;
  }

  .d-lg-none { display: none !important; }
  .d-lg-flex { display: flex !important; }
  .d-lg-block { display: block !important; }
  .d-lg-inline-block { display: inline-block !important; }
  .justify-content-lg-around { justify-content: space-around; }
  .justify-content-lg-between { justify-content: space-between; }
  .justify-content-lg-center { justify-content: center; }
  .justify-content-lg-end { justify-content: end; }
  .justify-content-lg-start { justify-content: start; }

  #framework7-root > .row > .col-33 {
    width: var(--wandr-container-left-width);
  }

  .bg-video{
    height: auto;
    width: 100%;
  }
}

@media (min-width: 1200px) {
  :root{
    --wandr-container-left-width: 568px;
    --wandr-desktop-content-width-guest: 460px;
  }

  .d-xl-none { display: none !important; }
  .d-xl-flex { display: flex !important; }
  .d-xl-block { display: block !important; }
  .d-xl-inline-block { display: inline-block !important; }
  .justify-content-xl-around { justify-content: space-around; }
  .justify-content-xl-between { justify-content: space-between; }
  .justify-content-xl-center { justify-content: center; }
  .justify-content-xl-end { justify-content: end; }
  .justify-content-xl-start { justify-content: start; }

  #framework7-root > .row > .col-33 {
    width: var(--wandr-container-left-width);
  }

  #framework7-root > .row > .col-33 .feature-highlight .block {
    max-width: 444px;
    margin: auto;
  }
}

@media (min-width: 1400px) {

  .d-xxl-none { display: none !important; }
  .d-xxl-flex { display: flex !important; }
  .d-xxl-block { display: block !important; }
  .d-xxl-inline-block { display: inline-block !important; }
  .justify-content-xxl-around { justify-content: space-around; }
  .justify-content-xxl-between { justify-content: space-between; }
  .justify-content-xxl-center { justify-content: center; }
  .justify-content-xxl-end { justify-content: end; }
  .justify-content-xxl-start { justify-content: start; }

  #framework7-root > .row.flow-group-guest > .col-33 .feature-highlight img {
    width: 88%;
  }
}